Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: <updates <at> fedoraproject.org>
Subject: [SECURITY] Fedora 17 Update: cups-1.5.4-18.fc17
Newsgroups: gmane.linux.redhat.fedora.package.announce
Date: Tuesday 26th February 2013 02:42:00 UTC (over 3 years ago)
--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2012-19606
2012-12-04 03:59:36
--------------------------------------------------------------------------------

Name        : cups
Product     : Fedora 17
Version     : 1.5.4
Release     : 18.fc17
URL         : http://www.cups.org/
Summary     : Common Unix Printing System
Description :
The Common UNIX Printing System provides a portable printing layer for
UNIX® operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.

--------------------------------------------------------------------------------
Update Information:

This update addresses two security issues:

* CVE-2012-5519 (privilege escalation for users fo the CUPS SystemGroup
group or via polkit) is fixed by moving certain configuration keywords into
a separate file, cups-files.conf, which cannot be modified by cupsd.

* CVE-2012-6094 (configuration issue with IPv4 vs IPv6) has been fixed by
dropping support for systemd socket activation via IP sockets.
--------------------------------------------------------------------------------
ChangeLog:

* Fri Jan  4 2013 Tim Waugh  1:1.5.4-18
- Avoid misleading error message when configuration cannot be read.
- Don't enable IP-based systemd socket activation by default
  (bug #842365, bug #891945, CVE-2012-6094).
* Thu Dec  6 2012 Tim Waugh  1:1.5.4-17
- Additional fix relating to CVE-2012-5519 to avoid misleading error
  message about actions to take to enable file device URIs.
* Tue Dec  4 2012 Tim Waugh  1:1.5.4-16
- Small error handling improvements in the configuration migration
  script.
* Mon Dec  3 2012 Tim Waugh  1:1.5.4-15
- Applied additional upstream patch for CVE-2012-5519 so that the
  RemoteRoot keyword is recognised in the correct configuration file.
* Mon Dec  3 2012 Tim Waugh  1:1.5.4-14
- Fixed patch for CVE-2012-5519 so that LogFilePerm and LPDConfigFile
  are recognised keywords for cups-files.conf (bug #882379).
* Wed Nov 28 2012 Tim Waugh  1:1.5.4-13
- Fixed paths in config migration %post script.
- Set default cups-files.conf filename.
* Mon Nov 26 2012 Tim Waugh  1:1.5.4-12
- Apply upstream fix for CVE-2012-5519 (STR #4223, bug #875898).
  Migrate configuration keywords as needed.
* Mon Nov  5 2012 Tim Waugh  1:1.5.4-11
- Apply upstream patch to stop backend spinning on failed auth (bug
#873264).
* Wed Oct 31 2012 Tim Waugh  1:1.5.4-10
- Ensure attributes are valid UTF-8 in dbus notifier (bug #863387).
* Mon Oct 29 2012 Tim Waugh  1:1.5.4-9
- Removed broken cups-get-classes patch (bug #870612).
* Mon Oct 22 2012 Jiri Popelka <[email protected]> 1:1.5.4-8
- Add quirk rule for Xerox Phaser 3124 (#867392)
* Thu Oct 11 2012 Jiri Popelka <[email protected]> 1:1.5.4-7
- backport 2 upstream commits (r10638, r10642)
- backport fixes for STR #4191, STR #4194
- backport fixes for STR #4072, STR #4124
- backport 2 upstream commits (r10572, r10573)
* Thu Oct 11 2012 Tim Waugh  1:1.5.4-6
- Avoid double-free crash in Avahi support (bug #863409).
* Mon Oct  1 2012 Jiri Popelka <[email protected]> 1:1.5.4-5
- improved usblp-quirks.patch (bug #847923, STR #4191)
* Thu Sep 20 2012 Tim Waugh  1:1.5.4-4
- The cups-libs subpackage contains code distributed under the zlib
  license (md5.c).
* Tue Sep 18 2012 Tim Waugh  1:1.5.2-3
- Don't use the IPP Create-Job operation, widely implemented
  unreliably (bug #854989).
* Thu Aug 23 2012 Jiri Popelka <[email protected]> 1:1.5.4-2
- quirk handler for port reset done by new USB backend (bug #847923, STR
#4155)
* Thu Jul 26 2012 Jiri Popelka <[email protected]> 1:1.5.4-1
- 1.5.4
* Mon May 28 2012 Jiri Popelka <[email protected]> 1:1.5.3-2
- Buildrequire libusb1 (STR #3477)
* Tue May 15 2012 Jiri Popelka <[email protected]> 1:1.5.3-1
- 1.5.3
* Wed May  9 2012 Jiri Popelka <[email protected]> 1:1.5.2-13
- Add triggers for samba4-client. (#817110)
- No need to define BuildRoot and clean it in clean and install section
anymore.
- %defattr no longer needed in %files sections.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #875898 - CVE-2012-5519 cups: privilege escalation for users of
the CUPS SystemGroup group
        https://bugzilla.redhat.com/show_bug.cgi?id=875898
  [ 2 ] Bug #891942 - CVE-2012-6094 cups: 'Listen localhost:631' option not
honoured correctly on IPv6-enabled systems when systemd used for CUPS
socket activation
        https://bugzilla.redhat.com/show_bug.cgi?id=891942
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update cups' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on
the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------
_______________________________________________
package-announce mailing list
[email protected]
https://admin.fedoraproject.org/mailman/listinfo/package-announce
 
CD: 3ms